
QGIS Application - Bug report #5327

Nodetool partially broken on qgis-master

2012-04-05 12:13 PM - Alexander Novoselov

Status: Closed

Priority: Severe/Regression

Assignee: Jürgen Fischer

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 15028

Description

in this video, strange behavior nodetool: http://youtu.be/Z4cUn3-xx6E

QGIS version 1.9.90-Alpha

QGIS code revision exported

Compiled against Qt 4.6.2

Running against Qt 4.6.2

GDAL/OGR Version 1.6.3

GEOS Version 3.1.0

PostgreSQL Client Version 8.4.3

SpatiaLite Version 2.4.0

QWT Version 5.2.0

Ubuntu 10.04

Related issues:

Duplicates QGIS Application - Bug report # 5259: moving polygon individual no... Closed 2012-03-29

Associated revisions

Revision 6cff7845 - 2012-05-28 04:50 PM - Jürgen Fischer

fix #5327

Revision b870b556 - 2012-05-29 10:07 PM - Jürgen Fischer

node tool fixes:

- fix OTFR support (fixes #5327.16)

- smaller snap tolerance for geographic CRSs (fixes #5661)

- use different snapping epsilons in QgsVectorLayer::snapToGeometry() for

  layers with geographic and projected crs.

- [API] enhancements (to fix #5661): * QgsGeometry::closestSegmentWithContext: allow passing of segment snapping

   epsilon * QgsPoint::sqrDistToSegment: allow assing of segment snapping epsilon * QgsMapLayer::crs() add "const"

History

#1 - 2012-04-10 04:29 AM - Filipe Dias

This also happens on Windows 7, current Master.
#2 - 2012-04-10 05:52 AM - Salvatore Larosa

- Priority changed from Normal to High

Also I can confirm the issue to polygon feature!

QGIS version 1.9.90-Alpha

QGIS code revision 95045f8

Compiled against Qt 4.7.4

Running against Qt 4.7.4

GDAL/OGR Version 1.9.0

GEOS Version 3.3.3

PostgreSQL Client Version 9.1.3

SpatiaLite Version 2.4.0

QWT Version 5.2.2

#3 - 2012-04-10 07:47 AM - James Stott

I can confirm too using windows 7 master.

I have also noticed that if you select several nodes at once and try to delete them in one go, it will not delete all of them, only one of them. You have to

delete them one by one.

#4 - 2012-04-11 04:18 AM - Giovanni Manghi

- Subject changed from Nodetool  strange work to Nodetool partially broken on qgis-master

- Category set to Digitising

- Target version set to Version 1.8.0

#5 - 2012-04-13 02:47 AM - Jürgen Fischer

- Assignee set to Jürgen Fischer

#6 - 2012-04-16 04:28 AM - Giovanni Manghi

- Priority changed from High to Severe/Regression

#7 - 2012-04-16 04:31 AM - Giovanni Manghi

- Status changed from Open to Closed

duplicate of #5327

#8 - 2012-04-16 04:31 AM - Giovanni Manghi

see also #5259

#9 - 2012-04-16 04:32 AM - Giovanni Manghi

- Status changed from Closed to Reopened
#10 - 2012-04-29 01:40 AM - Nathan Woodrow

This is a still a problem in master and is a major bug as it affects how the node tool behaves, and not in a good way.

Would be good to have this fixed before 1.8 release as hurts the editing features of QGIS pretty bad.

#11 - 2012-04-29 01:42 AM - Giovanni Manghi

Nathan Woodrow wrote:

This is a still a problem in master and is a major bug as it affects how the node tool behaves, and not in a good way.

Would be good to have this fixed before 1.8 release as hurts the editing features of QGIS pretty bad.

Hi Nathan, this ticket is tagged as blocker for the reason you describe. Is a regression since 1.7.4 and the devs agreed (in Lyson) that new releases won't

be shipped with known, hurting regressions.

#12 - 2012-05-21 08:01 AM - Giuseppe Sucameli

I suppose the geometry is not updated after the vertex is moved and the following steps seem to trust me:

1. move a vertex from position X to Y, 

2. move the cursor on to the old vertex position (X)

3. press the mouse button and holding it move the mouse, the vertex is moved.

#13 - 2012-05-21 03:27 PM - Jürgen Fischer

Giuseppe Sucameli wrote:

I suppose the geometry is not updated after the vertex is moved and the following steps seem to trust me:

1. move a vertex from position X to Y, 

2. move the cursor on to the old vertex position (X)

3. press the mouse button and holding it move the mouse, the vertex is moved.

Right. I also noticed.  Already fixed that, but there's still more...

#14 - 2012-05-25 12:30 PM - Jürgen Fischer

- Status changed from Reopened to In Progress

#15 - 2012-05-28 07:50 AM - Jürgen Fischer

- Status changed from In Progress to Closed

Fixed in changeset commit:"6cff784597de8886fbde6e4c46edf7d84d7d88c8".
#16 - 2012-05-29 10:37 AM - Alexander Novoselov

qgis 1.9.90+git20120528+5e45e87~precise1

http://youtu.be/HmtyaJmif-k

#17 - 2012-05-30 01:09 AM - Giovanni Manghi

Alexander Novoselov wrote:

qgis 1.9.90+git20120528+5e45e87~precise1

http://youtu.be/HmtyaJmif-k

can you share the shape you used in this screencast? This would allow us to see if after the latest changes it still work like in the video.

#18 - 2012-05-30 01:24 AM - Alexander Novoselov

- File testcase.zip added

wait for nightly build to test

#19 - 2012-05-30 11:35 PM - Alexander Novoselov

http://youtu.be/CUVE36xzLmY

the first change does not work and slow work when reverting

Layer = PostgreSQL database with PostGIS extension

#20 - 2012-05-30 11:49 PM - Alexander Novoselov

the same thing on a shp

#21 - 2012-05-31 12:03 AM - Giovanni Manghi

Alexander Novoselov wrote:

the same thing on a shp

Hi,

I just updated on Ubuntu and tested on fairly large postgis dataset (215000 records) and It seems pretty quick to me. It seems also to works correctly now.

What revision are you using?

Reverting changes when hitting "discard" is slow as it was before, but that is another issue.
#22 - 2012-05-31 12:09 AM - Alexander Novoselov

1.9.90+git20120529+56d0387~precise1

The main problems are solved, not only introduced the first change in the line (on video).

Cancel changes to the previous version was not so long, it has emerged recently.

Sorry for the English - Google Translator

#23 - 2012-05-31 12:22 AM - Jürgen Fischer

Giovanni Manghi wrote:

Reverting changes when hitting "discard" is slow as it was before, but that is another issue.

and I suppose the background layers used in the video make it stand out, that the canvas is refreshed with each "undo".  Anyway, that's not a problem of

the nodetool at all.

#24 - 2012-05-31 12:28 AM - Alexander Novoselov

Yes, but in my example of two shapefiles (see above), is slow work, too. Create a new ticket?

#25 - 2012-05-31 12:30 AM - Giovanni Manghi

Alexander Novoselov wrote:

Yes, but in my example of two shapefiles (see above), is slow work, too. Create a new ticket?

can you attach a sample of your data, enough to replicate the issue?

#26 - 2012-05-31 03:18 AM - Alexander Novoselov

Giovanni Manghi wrote:

can you attach a sample of your data, enough to replicate the issue?

This problem (not done the first move the node) is observed only in ubuntu 10.04. In Ubuntu 12.04 no problem.

Probably this is not an big issue.

Files

testcase.zip 5.69 KB 2012-05-29 Alexander Novoselov
